Page MenuHomePhabricator

SVG thumbnailing issues - part of the image with <pattern> not rendered
Open, LowPublic

Description

Author: le.korrigan

Description:
Please have a look at http://fr.wikipedia.org/wiki/Utilisateur:Korrigan/bug9

A SVG renders only partly, depending on the size it is thumbnailed at. This is annoying as below 300px it renders incompletely and thus cannot be inserted in articles.

It may be an issue with patterns but in any case it makes SVG usability poor.

Thanks for having a look at this.


Version: unspecified
Severity: normal
URL: http://test.wikipedia.org/wiki/Bug_18463
See also upstream:
https://gitlab.gnome.org/GNOME/librsvg/issues/19
https://gitlab.gnome.org/GNOME/librsvg/issues/27

Details

Reference
bz18463

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:36 PM
bzimport set Reference to bz18463.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 14 2009, 4:31 PM
brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

Updated URL of the test case, the original page was deleted in the meantime

Here is another example http://en.wikipedia.org/wiki/File:Passband_schematic2.svg. It is not the current image that is problematic, it is the previous one in the file history. It can be seen that the thumbnail in the history bears no relation to this [http://en.wikipedia.org/wiki/File:Passband_schematic3.png png of the same image]. If the svg is uploaded, however, it has all the original details. It will also render correctly if set to a large size.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 9:19 PM

Issue still exists after recent librsvg update

The rendering of this image has improved significantly. It seems there is now only a problem with the 'density' of the pattern.

Perhelion renamed this task from SVG thumbnailing issues - part of the image not rendered to SVG thumbnailing issues - part of the image with <pattern> not rendered.Dec 23 2014, 2:03 PM
Perhelion set Security to None.
Perhelion added a comment.EditedJul 12 2015, 12:15 AM

I found another cause and so workaround fix (in file). If patterns are cloned (in the defs-element) and the original pattern comes after the clone librsvg can't handle this (which seems not good SVG code but seems no violation).
Example shown before my (file) fix here: File: Grundriss_Burg_Hageneck.svg

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 12 2015, 12:15 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:52 PM

I found another cause and so workaround fix (in file). If patterns are cloned (in the defs-element) and the original pattern comes after the clone librsvg can't handle this

@Perhelion: Do you know if this is already reported to the librsvg maintainer(s) in https://bugzilla.gnome.org/buglist.cgi?resolution=---&product=librsvg ?

Perhelion added a comment.EditedMar 21 2016, 12:42 PM

@Aklapper
Unfortunately no (I found still no corresponding bug-report there).

Perhelion updated the task description. (Show Details)Dec 10 2017, 11:38 AM
gpaumier removed a subscriber: gpaumier.Dec 10 2017, 5:06 PM
Aklapper updated the task description. (Show Details)Mar 10 2019, 6:24 PM

Compared to https://test.wikipedia.org/wiki/Bug_18463 and the thumbnails available from https://commons.wikimedia.org/wiki/File:Segments_racleurs_piston-fr.svg?uselang=az , I see different (and more usable results) results locally with librsvg2-2.44.13 (newer than on Wikimedia servers) depending on the zoom:


Don't know if that is "sufficient" though when it comes to expectations?